<template>
    <div v-if="next_video" class="btn-next-video">
        <!-- <div style=""> -->
            <div 
                class="card" 
                style="width: 320px; max-height:100px;margin-top:-25%;margin-left:-100%;cursor:pointer"
                @click="onClick"
            >
                <!-- <div class="card-body">
                    <h5 class="card-title"></h5>
                </div> -->
                <div class="row no-gutters">
                    <div class="col-md-4">
                        
                    </div>
                    <div class="col-md-8">
                        <div class="card-body" style="padding-top:1px;padding-bottom:1px;padding-right:1px;padding-left:1px;">
                            <div class="d-flex justify-content-between">
                                <div>
                                    <p class="card-text"><small class="text-muted">next video</small></p>
                                    <h5 class="card-title">{{title}}</h5>
                                </div>
                                <div style="position: absolute;left:100%;">
                                    <button style="margin-left:-100%;"
                                        class="btn btn-primary btn-sm"
                                    >close</button>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
        <!-- </div> -->
    </div>
</template>

<script>

export default {
    name: 'BtnNextVideo',
    components: {
        
    },
    props:{
        next_video:Object
    },
    mounted(){
        
    },
    data: () => ({
        title:''
    }),
    watch:{
        'next_video.name':'setTitle'
    },
    methods:{
        onClick(e){
            const el = e.target;
            //console.log('el.tagName = ', el.tagName);
            if(el.tagName==='BUTTON'){
                //console.log('жмакнул по button');
                this.$emit('onClose');
            }else{
                //console.log('жмакнул по onNext');
                this.$emit('onNext');
            }
            //console.log("e = ", e);
            //return;
            
            //this.$emit('onNext');
        },
        setTitle(){
            if(!this.next_video){
                return;
            }
            let str = this.next_video.name.slice(0, 18);
            if(this.next_video.name.length>18){
                str+='...';
            }
            this.title = str;
        }
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    .btn-next-video{
        top:84%;
        left:100%;
        position: absolute;
        z-index: 101;
    }
</style>
